After upgrading UIM server and UMP robot to 9.10, activating of the 6.42 cdm MCS templates fails

book

Article ID: 131643

calendar_today

Updated On:

Products

DX Infrastructure Management NIMSOFT PROBES

Issue/Introduction

After upgrading UIM server and UMP robot to 9.10, activating of the 6.42 cdm MCS templates fails if the 6.34 cdm MCS templates were not previously installed and activated.

From the SSRV2ProbeTemplateUpgrade table the 6.42 Default Disk(s) (Enhanced) template has an error status with the following final message:

Exception: Field qos_table-qos_label-QOS_INODE_USAGE needs migration. Field qos_table-qos_label-QOS_INODE_USAGE_PERC needs migration.

All other 6.42 cdm templates in the SSRV2ProbeTemplateUpgrade table show a status of disabled.

Cause

As stated in the cdm (CPU, Disk, Memory Performance Monitoring) Release Notes->Upgrades and Migrations Wiki page:

"(version 6.42) To upgrade from the cdm 6.33 mcs templates to the cdm 6.42 version, you must first upgrade the mcs templates to cdm 6.34 and then to 6.42."

Environment

UIM:  9.02 or higher
cdm_mcs_templates:  6.42

6.33 cdm templates were the last cdm MCS templates that were activated prior to installing UIM/UMP 9.10

Resolution

Import a copy of the 6.34 cdm_mcs_templates package into the local archive of the primary hub,
Deploy the 6.34 cdm_mcs_templates package to the primary hub.
Execute the activate_probe_templates_package callback command from the mon_config_service probe utility and activate the 6.34 version of the cdm templates.
Redeploy the 6.42 cdm_mcs_templates package to the primary hub.
Execute the activate_probe_templates_package callback command from the mon_config_service probe utility and activate the 6.42 version of the cdm templates.

Additional Information

If the 6.34 version of the cdm_mcs_templates package is no longer available for download from the UIM web archive (support.nimsoft.com), open a support case to obtain a copy of this package.